Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 348034 - x11-libs/qt-assistant rebuilds libQtCore and libQtXml
Summary: x11-libs/qt-assistant rebuilds libQtCore and libQtXml
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 13:43 UTC by Davide Pesavento
Modified: 2012-02-10 00:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qt-assistant-4.7.4.ebuild.patch (qt-assistant-4.7.4.ebuild.patch,250 bytes, patch)
2012-01-27 10:42 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2010-12-07 13:43:15 UTC
While emerging qt-assistant, the libQtCore and libQtXml libraries are rebuilt by the build system (but not installed), probably because they are considered a prerequisite of some Makefile targets needed to build something else.
This shouldn't happen because x11-libs/qt-core is a dependency of qt-assistant, thus both libraries are already installed and those ones should be used. This issue also needlessly increases the time required to emerge qt-assistant.
Comment 1 Michael Palimaka (kensington) gentoo-dev 2012-01-27 10:42:05 UTC
Created attachment 300035 [details, diff]
qt-assistant-4.7.4.ebuild.patch

It looks like, for whatever reason, that the docs target depends on the corelibs and xml target.

The attached patch simply removes this dependency, and seems to build fine locally with a reasonable reduction in compile time.
Comment 2 Johannes Huber gentoo-dev 2012-01-27 10:51:25 UTC
is this bug maybe related to bug #398885 ?
Comment 3 Davide Pesavento gentoo-dev 2012-01-27 11:02:05 UTC
(In reply to comment #2)
> is this bug maybe related to bug #398885 ?

That's exactly what I thought too last night when I re-read the build log of bug #398885 :)
Comment 4 Davide Pesavento gentoo-dev 2012-02-10 00:53:08 UTC
(In reply to comment #1)
> Created attachment 300035 [details, diff] [details, diff]
> qt-assistant-4.7.4.ebuild.patch
> 
> It looks like, for whatever reason, that the docs target depends on the
> corelibs and xml target.
> 
> The attached patch simply removes this dependency, and seems to build fine
> locally with a reasonable reduction in compile time.

Applied, thanks Michael!